#ifndef _ASM_H
#define _ASM_H

#include "format.h"
#include "x86encode.h"

/// Jump to a known address.
void inst_jump(symbol sym);

/// Jump to a known address if the argument is zero.
void inst_jump_if_zero(symbol sym, reg reg);

/// Jump to a known address if the argument is not zero.
void inst_jump_if_not_zero(symbol sym, reg reg);

#endif
